> For the complete documentation index, see [llms.txt](https://docs.movel.ai/new-collection/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.movel.ai/new-collection/fan-ti-zhong-wen/seirios-rns/installation-and-integration-1/pre-installation-checklist/ruan-ti-jian-cha.md).

# 軟體檢查

為了能夠無痛導入Seirios RNS，我們需要在您的機器人系統裡，設置必要的軟體與驅動程式。以下為您的機器人系統裡，安裝前必須具備的檢查清單：

* [ ] **馬達驅動**
  * 確保馬達驅動的節點正常運行，且可從cmd透過teleop去控制。
  * 確保馬達驅動訂閱此主題`/cmd_vel` 。
  * 否則，需要重新設置，使其訂閱此主題`/cmd_vel` 。
* [ ] **感測器**
  * 確保感測器啟動且運行正常。
  * 確保將感測器的數據發佈到正確的ROS主題上。
  * 確保光達發佈2D的掃描到`/scan`主題。
* [ ] **TF檢查**
  * 確保所有機器人的連結都有正確的TF，並且連結到`odom`。
  * TF樹狀圖可使用 `$ rosrun rqt_tf_tree rqt_tf_tree`，使其視覺化。

![](/files/Ht2HvsnoKoPKIfqdBeEP)

* [ ] **TF使用base\_link掃描：**
  * 由於RNS的要求，請確保在`base_link`frame和`laser`frame之間有直接的TF連結。

![Direct Link/TF from base\_link to laser is required](/files/-MkL_nWKq8Vw3D0nNCqr)

* [ ] **RVIZ 感測器的數據視覺化：**
  * 使用RVIZ可以視覺化呈現數據，固定的frame應該要是`odom`。
  * 增加TF視覺化，確保所有的frame沒有出現警告。

![RVIZ TF Display Status (All Are OK, No Warnings)](/files/Dx1AzaKjzSA79VlSHzsw)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.movel.ai/new-collection/fan-ti-zhong-wen/seirios-rns/installation-and-integration-1/pre-installation-checklist/ruan-ti-jian-cha.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
